POST api/particlecounterapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ParticleCounterViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| anatype_id | globally unique identifier |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| description | string |
None. |
|
| id | globally unique identifier |
None. |
|
| ip_address | string |
Required |
|
| particle_counter_type_id | globally unique identifier |
Required |
|
| site_id | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"anatype_id": "93134ae1-ce7c-4b03-b8fb-7b1e027ec03f",
"cleanroom_id": "30573a65-10ac-4c02-904f-280b809f29eb",
"description": "sample string 3",
"id": "e9da6fe4-a6d7-4be7-84ab-ccd62f5fc279",
"ip_address": "sample string 5",
"particle_counter_type_id": "95201661-263d-4089-ae7e-4e3507798f7c",
"site_id": "9bb3bd99-aab4-4a6a-b7eb-61e96beda095"
}
application/xml, text/xml
Sample:
<particle_counter xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <anatype_id>93134ae1-ce7c-4b03-b8fb-7b1e027ec03f</anatype_id> <cleanroom_id>30573a65-10ac-4c02-904f-280b809f29eb</cleanroom_id> <description>sample string 3</description> <id>e9da6fe4-a6d7-4be7-84ab-ccd62f5fc279</id> <ip_address>sample string 5</ip_address> <particle_counter_type_id>95201661-263d-4089-ae7e-4e3507798f7c</particle_counter_type_id> <site_id>9bb3bd99-aab4-4a6a-b7eb-61e96beda095</site_id> </particle_counter>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"d2021bf3-f9fb-426f-820e-0fa5a8e04fa8"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">d2021bf3-f9fb-426f-820e-0fa5a8e04fa8</guid>